/*
	修改信息的检查
*/
function check(site){
    var email = $("#email");
    if(email.val()=="")
    {
        alert("邮箱不能为空！");
        email.focus();
        return false;
    }

	var email_format = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
	if(!email_format.test(email.val()))
	{
		alert("邮箱格式不对！");
		email.focus();
		return false;
	}	
	
	var name = $("#name");
    if(name.val()=="")
    {
        alert("名称不能为空！");
        name.focus();
        return false;
    }

	//提交
	$.ajax({
			url:site + "member/info_update",
			type:"POST",
			async:false, //同步请求
			data:{
				email : email.val(),
				name  : name.val(),
				remark:$("#remark").val()
			},
			success: function(ret){
				alert(ret);
			}
	});
	return true;
}

/*
	注册的检查
*/
function register_check(site){
    var email = $("#email");
    if(email.val()=="")
    {
        alert("邮箱不能为空！");
        email.focus();
        return false;
    }

	var email_format = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
	if(!email_format.test(email.val()))
	{
		alert("邮箱格式不对！");
		email.focus();
		return false;
	}	
	
	var name = $("#name");
    if(name.val()=="")
    {
        alert("名称不能为空！");
        name.focus();
        return false;
    }

	//提交
	$.ajax({
			url:site + "member/register",
			type:"POST",
			async:false, //同步请求
			data:{
				email : email.val(),
				name  : name.val(),
				remark:$("#remark").val()
			},
			success: function(ret){
				alert(ret);
			}
	});
	return true;
}

